質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.60%

QGIS3.6がインストールしようとすると、QGIS requires Python 3.6. というメッセージが出てインストールできない

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 2,365

score 86

QGIS3.6をインストールしようとすると、
python3.6.5 をインストールしているのに

QGIS requires Python 3.6.

というメッセージが出て、色々試行錯誤したのですがどうしても
QGISをインストール出来ず、どうしたらいいかアドバイスを頂けないでしょうか。

自分の環境は下記になります。

  • macOS High Sierra 10.13.6
  • Python 3.6.5
  • GDAL 2.4.0
    (下記は悪魔のGDAL for OSX - Qiitaを参考にインストールしました)
  • $ gdal-config --libs 
    -L/usr/local/Cellar/gdal2/2.4.0/lib -lgdal
  • $ gdal-config --cflags
    -I/usr/local/Cellar/gdal2/2.4.0/include)

色々調べたところ、下記の記事を見つけ、
anaconda環境へのQGISのインストールに詰まった時のメモ

Installing QGIS3 on Mac? QGIS 3.0 error when start in MacOS High Sierra

QGISがpythonを呼びにいくPATHと普段遣いしているpythonのPATHが一致しないことが原因のようで、シンボリックリンクを貼ればいいだろうと思ったので、pythonの場所をしらべたら

$ which python
/Users/ユーザ名/.pyenv/shims/python

だったので、
下記のようにターミナルで打ってみたのですが、

$  ln -s /Users/ユーザ名/.pyenv/shims/python /Library/Frameworks/Python.framework
ln: /Library/Frameworks/Python.framework: File exists

というエラー?が出て、確認すると確かに存在していました。
次に、https://qiita.com/myouga/items/0ef93586c50515296c23 を参考に

$ sudo ln -snf /Users/ユーザ名/.pyenv/shims/python /Library/Frameworks/Python.framework

と打ってみたのですが、状況は全く変わりませんでした。

ちなみに

$ vi ~/.bash_profile


と打つと、下記のような設定になっています。
(また、~/.bashrcには何も書き込まれていません)

if [ -f ~/.bashrc ]; then
    . ~/.bashrc
fi

export PYENV_ROOT=${HOME}/.pyenv
if [ -d "${PYENV_ROOT}" ]; then
    export PATH=${PYENV_ROOT}/bin:$PATH
    eval "$(pyenv init -)"
fi

export PATH="$HOME/.pyenv/shims:$PATH"

alias python=python3


~                     

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

check解決した方法

0

自己解決しました。
pythonをbrew からでなく、直接pythonのサイトでインストールし直したら
すんなりQGISが入りました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.60%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る